#!/bin/sh

case $1 in
    --sdk-mod-ver)
	#Print SDK support version
	echo "1.0";
    ;;
    --name)
	#Print package name
	echo "CMS";
    ;;
    --pkg-ver)
	#Print package version
	echo "1.0";
    ;;
    --vendor)
	#Print package vendor
	echo "Synology";
    ;;
    --pre)
	#Nothing
	;;
    --post)
	# current listen ipv4 change/ipv6 change/if link up/port change
	until [ "`synobootseq --is-ready`" == "Boot done" ]; do sleep 30; done && /var/packages/CMS/target/tools/synocmsserver --update_cred &
    ;;
    *)
	echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
    ;;
esac

